version: 0.1
cli:
  version: 1.16.2
plugins:
  sources:
    - id: trunk
      ref: v1.2.5
      uri: https://github.com/trunk-io/plugins
lint:
  enabled:
    - checkov@2.5.0
    - trivy@0.45.1
    - trufflehog@3.59.0
    - yamllint@1.32.0
    - shfmt@3.6.0
    - markdownlint@0.37.0
    - hadolint@2.12.0
    - git-diff-check
    - taplo@0.8.1
    - gitleaks@8.18.0
    - shellcheck@0.9.0
    - prettier@3.0.3
  ignore:
    - linters:
        - prettier
      paths:
        # Golang templates in the YAML files cause panic.
        - "**/*.yaml"
    - linters:
        - yamllint
      paths:
        - midgard/templates/configmap.yaml
runtimes:
  enabled:
    - python@3.10.8
    - go@1.21.0
    - node@18.12.1
actions:
  disabled:
    - trunk-announce
    - trunk-check-pre-push
    - trunk-fmt-pre-commit
  enabled:
    - trunk-upgrade-available
